Bug 1270120 - [abrt] gnome-shell: toplevel_surface_commit(): gnome-shell killed by SIGABRT
[abrt] gnome-shell: toplevel_surface_commit(): gnome-shell killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d7bbd37b7a0a57e88438801c4b1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 22:22 EDT by Giovanni Campagna
Modified: 2016-12-20 09:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:55:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.76 KB, text/plain)
2015-10-08 22:22 EDT, Giovanni Campagna
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-08 22:22 EDT, Giovanni Campagna
no flags Details
File: core_backtrace (5.30 KB, text/plain)
2015-10-08 22:22 EDT, Giovanni Campagna
no flags Details
File: dso_list (25.57 KB, text/plain)
2015-10-08 22:22 EDT, Giovanni Campagna
no flags Details
File: environ (944 bytes, text/plain)
2015-10-08 22:22 EDT, Giovanni Campagna
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-08 22:22 EDT, Giovanni Campagna
no flags Details
File: maps (227.61 KB, text/plain)
2015-10-08 22:22 EDT, Giovanni Campagna
no flags Details
File: mountinfo (3.63 KB, text/plain)
2015-10-08 22:22 EDT, Giovanni Campagna
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-08 22:22 EDT, Giovanni Campagna
no flags Details
File: open_fds (7.73 KB, text/plain)
2015-10-08 22:22 EDT, Giovanni Campagna
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-10-08 22:22 EDT, Giovanni Campagna
no flags Details
File: var_log_messages (309 bytes, text/plain)
2015-10-08 22:22 EDT, Giovanni Campagna
no flags Details

  None (edit)
Description Giovanni Campagna 2015-10-08 22:22:09 EDT
Description of problem:
Happens reproducibly when using the color control center panel - although the backtrace does not hint to anything xrandr related, which is surprising.

Version-Release number of selected component:
gnome-shell-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: toplevel_surface_commit
executable:     /usr/bin/gnome-shell
global_pid:     30032
kernel:         4.2.2-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 toplevel_surface_commit at wayland/meta-wayland-surface.c:380
 #5 meta_wayland_surface_role_commit at wayland/meta-wayland-surface.c:2442
 #6 apply_pending_state at wayland/meta-wayland-surface.c:650
 #7 ffi_call_unix64 at ../src/x86/unix64.S:76
 #8 ffi_call at ../src/x86/ffi64.c:525
 #9 wl_closure_invoke at src/connection.c:945
 #10 wl_client_connection_data at src/wayland-server.c:339
 #11 wl_event_loop_dispatch at src/event-loop.c:422
 #12 wayland_event_source_dispatch at wayland/meta-wayland.c:85
 #17 meta_run at core/main.c:437
Comment 1 Giovanni Campagna 2015-10-08 22:22:12 EDT
Created attachment 1081153 [details]
File: backtrace
Comment 2 Giovanni Campagna 2015-10-08 22:22:12 EDT
Created attachment 1081154 [details]
File: cgroup
Comment 3 Giovanni Campagna 2015-10-08 22:22:13 EDT
Created attachment 1081155 [details]
File: core_backtrace
Comment 4 Giovanni Campagna 2015-10-08 22:22:14 EDT
Created attachment 1081156 [details]
File: dso_list
Comment 5 Giovanni Campagna 2015-10-08 22:22:15 EDT
Created attachment 1081157 [details]
File: environ
Comment 6 Giovanni Campagna 2015-10-08 22:22:15 EDT
Created attachment 1081158 [details]
File: limits
Comment 7 Giovanni Campagna 2015-10-08 22:22:16 EDT
Created attachment 1081159 [details]
File: maps
Comment 8 Giovanni Campagna 2015-10-08 22:22:17 EDT
Created attachment 1081160 [details]
File: mountinfo
Comment 9 Giovanni Campagna 2015-10-08 22:22:18 EDT
Created attachment 1081161 [details]
File: namespaces
Comment 10 Giovanni Campagna 2015-10-08 22:22:19 EDT
Created attachment 1081162 [details]
File: open_fds
Comment 11 Giovanni Campagna 2015-10-08 22:22:19 EDT
Created attachment 1081163 [details]
File: proc_pid_status
Comment 12 Giovanni Campagna 2015-10-08 22:22:20 EDT
Created attachment 1081164 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 07:44:08 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 09:55:49 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.